<div class="container">
	<div class="pos_new_product  product_block_container" 
		data-items="{$slider_options.number_item}" 
		data-speed="{$slider_options.speed_slide}"
		data-autoplay="{$slider_options.auto_play}"
		data-time="{$slider_options.auto_time}"
		data-arrow="{$slider_options.show_arrow}"
		data-pagination="{$slider_options.show_pagination}"
		data-move="{$slider_options.move}"
		data-pausehover="{$slider_options.pausehover}"
		data-md="{$slider_options.items_md}"
		data-sm="{$slider_options.items_sm}"
		data-xs="{$slider_options.items_xs}"
		data-xxs="{$slider_options.items_xxs}">
			{if $title}
				<div class="pos_title">
					<p class="text"><span>{l s='The Most Trendy' d='Shop.Theme.Catalog'}</span></p>
					<h2>
						{$title}
					</h2>	
					
				</div>
			{/if}
			{$rows= $slider_options.rows}
			<div class="block-content">
				<div class="pos_content row">
					<div class="newSlide owl-carousel">
					{foreach from=$products item=product name=myLoop}
						{if $smarty.foreach.myLoop.index % $rows == 0 || $smarty.foreach.myLoop.first }
						<div class="item-product">
						{/if}
							<article class="product-miniature js-product-miniature" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}" itemscope itemtype="http://schema.org/Product">
							<div class="img_block">
							  {block name='product_thumbnail'}
								<a href="{$product.url}" class="thumbnail product-thumbnail">
								  <img
									src = "{$product.cover.bySize.home_default.url}"
									alt = "{if !empty($product.cover.legend)}{$product.cover.legend}{else}{$product.name|truncate:30:'...'}{/if}"
									data-full-size-image-url = "{$product.cover.large.url}"
								  >
								</a>
							  {/block}
								{block name='product_flags'}
									<ul class="product-flag">
										{if $product.show_price}
										   {if $product.has_discount}
											   {if $product.discount_type === 'percentage'}
												  <li class="discount-percentage"><span>{$product.discount_percentage}</span></li>
												{/if}
											{/if}
										{/if}
										{foreach from=$product.flags item=flag}
											<li class=" {$flag.type}"><span>{$flag.label}</span></li>
										{/foreach}
									</ul>
								 {/block}
								<ul class="add-to-links">
									
									<li class="quick" > 
										<a href="#" class="quick-view" data-link-action="quickview" title="{l s='Quick view' d='Shop.Theme.Actions'}"><span>{l s='Quick view' d='Shop.Theme.Actions'}</span></a>
									</li>
									<li>
										{hook h='displayProductListFunctionalButtons' product=$product}
									</li>
									
								</ul>
							</div>
							<div class="product_desc">
								
								{block name='product_name'}
								  <h3 itemprop="name"><a href="{$product.url}" class="product_name">{$product.name|truncate:40:'...'}</a></h3>
								{/block}
								
								{block name='product_price_and_shipping'}
								  {if $product.show_price}
									<div class="product-price-and-shipping">
									  {if $product.has_discount}
										{hook h='displayProductPriceBlock' product=$product type="old_price"}

										<span class="sr-only">{l s='Regular price' d='Shop.Theme.Catalog'}</span>
										<span class="regular-price">{$product.regular_price}</span>
									  {/if}

									  {hook h='displayProductPriceBlock' product=$product type="before_price"}

									  <span class="sr-only">{l s='Price' d='Shop.Theme.Catalog'}</span>
									  <span itemprop="price" class="price">{$product.price}</span>

									  {hook h='displayProductPriceBlock' product=$product type='unit_price'}

									  {hook h='displayProductPriceBlock' product=$product type='weight'}
									</div>
								  {/if}
								{/block}
								<div class="cart">
									{include file='catalog/_partials/customize/button-cart.tpl' product=$product}
								</div>
								
								{block name='product_description_short'}
									<div class="product-desc" itemprop="description">{$product.description_short nofilter}</div>
								{/block}
								
								{block name='product_variants'}
								{if $product.main_variants}
								{include file='catalog/_partials/variant-links.tpl' variants=$product.main_variants}
								{/if}
								{/block}
							</div>
						  </article>
						{if $smarty.foreach.myLoop.iteration % $rows == 0 || $smarty.foreach.myLoop.last  }
						</div>
						{/if}
					{/foreach}
					</div>
				</div>
			</div>
	</div>
</div>

